% su3   Generators of SU(3)
%   Generators of SU(3) in m1,m2,...,m8.
%   (Gell-Mann matrices.)
%   Normalization: Tr(m_k*m_l)=2*delta_{kl}.
%   Defines also ee as the 3x3 identity matrix.

ee=eye(3);

m1=[0 1 0;...
    1 0 0;...
    0 0 0];

m2=[0 -i 0;...
    i 0 0;...
    0 0 0];

m3=[1  0 0;...
    0 -1 0;...
    0 0 0];

m4=[0 0 1;...
    0 0 0;...
    1 0 0];

m5=[0 0 -i;...
    0 0 0;...
    i 0 0];

m6=[0 0 0;...
    0 0 1;...
    0 1 0];

m7=[0 0 0;...
    0 0 -i;...
    0 i 0];

m8=[1 0 0;...
    0 1 0;...
    0 0 -2]/sqrt(3);
